This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 783348 - Project list showing only one page, does not show all projects
Project list showing only one page, does not show all projects
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
1.5-SNAPSHOT
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Alex Eng
Ding-Yi Chen
:
Depends On:
Blocks: zanata-1.5.0
  Show dependency treegraph
 
Reported: 2012-01-19 23:52 EST by David Mason
Modified: 2012-03-06 19:09 EST (History)
2 users (show)

See Also:
Fixed In Version: 1.5.0-alpha-2-SNAPSHOT (20120221-1200)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-06 19:09:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Mason 2012-01-19 23:52:15 EST
Description of problem:
On a server with more than 15 projects, only 15 projects are shown. The paging buttons are disabled. Projects that are not shown on this page can still be found with the project search feature.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Sign in to a server that has more than 15 projects
2.Count projects on the project page
3.Click column headers to sort by different properties
  
Actual results:
Only 15 projects shown, paging buttons disabled. Column headers only sort within the visible projects.

Expected results:
paging buttons enabled when there are more than 1 page (15) of projects. Column headers sort all available projects.


Additional info:
Comment 2 Ding-Yi Chen 2012-02-20 22:01:50 EST
VERIFIED with Zanata version 1.5.0-alpha-2-SNAPSHOT (20120221-1200)

Note You need to log in before you can comment on or make changes to this bug.